> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Quote

> Calculates the real-time exchange rate, fees, and total cost for an intended transaction.

This endpoint provides a definitive, real-time calculation (the **Quote**) for an intended transaction.

It calculates the total payable amount, all applicable fees, the guaranteed exchange rate, and the final recipient amount based on the provided parameters.


## OpenAPI

````yaml POST /quote/callQuote
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /quote/callQuote:
    post:
      summary: Call Quote
      description: Calculate exchange rate, fees, and total cost
      operationId: callQuote
      parameters:
        - $ref: '#/components/parameters/platformHeader'
        - $ref: '#/components/parameters/uuidHeader'
        - in: header
          name: X-Auth-Token
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                principalAmount:
                  type: string
                principalAmountCurrency:
                  type: string
                  default: GBP
                deriveAmount:
                  type: string
                deriveAmountCurrency:
                  type: string
                  default: NGN
                inverseCalculation:
                  type: boolean
                  default: false
                paymentType:
                  type: string
                  default: ONLINE_CARD_PAYMENT
                chargeCategory:
                  type: string
                  default: MONEYTRANSFER
                transactionType:
                  type: string
                  default: ACCOUNTPAYMENT
                destinationCountry:
                  type: string
                  default: NGA
                tradeOriginatingCountry:
                  type: string
                  default: GBR
                conversion:
                  type: boolean
                  default: true
                promoCode:
                  type: string
                mobileOperator:
                  type: string
      responses:
        '200':
          description: Quote calculated successfully
components:
  parameters:
    platformHeader:
      in: header
      name: platform
      schema:
        type: string
        default: fincode
      required: true
    uuidHeader:
      in: header
      name: uuid
      schema:
        type: string
        default: '200'
      required: true

````